"""Entry point"""
#!/usr/bin/env python

import logging
import os
import sys
from . import remote

LOG_LEVEL = logging.INFO
LOG_FILE = "/var/log/watercontrol.log"
LOG_FORMAT = "%(asctime)s %(levelname)s %(message)s"

def main():
    """Entry point"""
    logging.basicConfig(format=LOG_FORMAT, level=LOG_LEVEL, filename=LOG_FILE)
    # logging.basicConfig(format=LOG_FORMAT, level=LOG_LEVEL)

    log = logging.getLogger()
    config_file = os.path.join(os.path.expanduser('~'), ".config/watercontrol/config.json")

    log.info("Starting...")
    server = remote.RemoteControl(config_file)
    server.start()


if __name__ == '__main__':
    sys.exit(main())
